You are viewing a plain text version of this content. The canonical link for it is here.
Posted to dev@tomcat.apache.org by rj...@apache.org on 2013/02/17 18:08:14 UTC

svn commit: r1447045 - /tomcat/native/branches/1.1.x/jnirelease.sh

Author: rjung
Date: Sun Feb 17 17:08:14 2013
New Revision: 1447045

URL: http://svn.apache.org/r1447045
Log:
Add a check for recentness of the new svn:externals
in tcnative to the release script.

Note: the script now warns if the peg revision
of the external doesn't match the last changed
rev of jni in Tomcat trunk. It then pauses for
three seconds and you need to CTRL-C it, if you
want to fix the external before releasing.
Otherwise after three seconds it proceeds and
uses whatever externals revision was set.

Modified:
    tomcat/native/branches/1.1.x/jnirelease.sh

Modified: tomcat/native/branches/1.1.x/jnirelease.sh
URL: http://svn.apache.org/viewvc/tomcat/native/branches/1.1.x/jnirelease.sh?rev=1447045&r1=1447044&r2=1447045&view=diff
==============================================================================
--- tomcat/native/branches/1.1.x/jnirelease.sh (original)
+++ tomcat/native/branches/1.1.x/jnirelease.sh Sun Feb 17 17:08:14 2013
@@ -27,6 +27,7 @@ apr_src_dir=`pwd`/srclib/apr
 JKJNIEXT=""
 JKJNIVER=""
 SVNBASE=https://svn.apache.org/repos/asf/tomcat/native
+TCTRUNK_SVNBASE=https://svn.apache.org/repos/asf/tomcat/trunk
 
 for o
 do
@@ -130,6 +131,23 @@ fi
 echo "Using SVN repo       : \`${JKJNISVN}'"
 echo "Using version        : \`${JKJNIVER}'"
 
+# Checking for recentness of svn:externals
+externals_path=java/org/apache/tomcat
+jni_externals=`svn propget svn:externals $JKJNISVN/$externals_path | \
+    grep $externals_path/jni | \
+    sed -e 's#.*@##' -e 's# .*##'`
+jni_last_changed=`svn info --xml $TCTRUNK_SVNBASE/$externals_path/jni | \
+    tr "\n" " " | \
+    sed -e 's#.*commit  *revision="##' -e 's#".*##'`
+if [ "x$jni_externals" != "x$jni_last_changed" ]; then
+  echo "WARNING: svn:externals for jni in $externals_path is '$jni_externals',"
+  echo "         last changed revision in TC trunk is '$jni_last_changed'."
+  echo "         If you want to correct, cancel script now and run"
+  echo "         'svn propedit svn:externals' on $externals_path to fix"
+  echo "         the revision number."
+  sleep 3
+  exit 1
+fi
 
 JKJNIDIST=tomcat-native-${JKJNIVER}-src
 



---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@tomcat.apache.org
For additional commands, e-mail: dev-help@tomcat.apache.org